Bug 97867

Summary: Revert r122824 for a while
Product: WebKit Reporter: Shinya Kawanaka <shinyak>
Component: DOMAssignee: Web Components Team <webcomponents-bugzilla>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, buildbot, cmarcelo, dominicc, d-r, eric.carlson, eric, feature-media-reviews, fmalita, gyuyoung.kim, japhet, macpherson, menard, mifenton, morrita, ojan.autocc, ossy, pdr, philn, rakuco, rniwa, schenney, tkent, webcomponents-bugzilla, webkit.review.bot, xan.lopez
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 82313, 90532    
Attachments:
Description Flags
WIP
none
WIP
none
WIP
none
Patch none

Description Shinya Kawanaka 2012-09-27 23:05:48 PDT
Since it turned out there are a lot of difficulties about shadow dom spec for replaced elements, we would like to rollout r122824 until we re-design replaced elements spec.
Comment 1 Dominic Cooney 2013-01-10 06:19:32 PST
It is preferable to roll patches out as soon as possible; rolling them out later is riskier. What is the status of this?
Comment 2 Shinya Kawanaka 2013-01-10 18:50:57 PST
I tried this before but it was already complicated to roll it out, and I didn't have much time at time time. So I've postponed...
I'll try this again.
Comment 3 Shinya Kawanaka 2013-01-10 23:14:37 PST
Created attachment 182270 [details]
WIP
Comment 4 Adam Barth 2013-01-14 19:11:47 PST
Comment on attachment 182270 [details]
WIP

View in context: https://bugs.webkit.org/attachment.cgi?id=182270&action=review

> Source/WebCore/GNUmakefile.list.am:890
> +<<<<<<< HEAD
>  webcore_svg_built_sources += \
> +=======

This looks like a bad merge.
Comment 5 Build Bot 2013-01-14 20:07:19 PST
Comment on attachment 182270 [details]
WIP

Attachment 182270 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/15872717
Comment 6 Shinya Kawanaka 2013-01-15 17:58:08 PST
Created attachment 182888 [details]
WIP
Comment 7 Shinya Kawanaka 2013-01-15 19:59:29 PST
Created attachment 182910 [details]
WIP
Comment 8 Shinya Kawanaka 2013-01-16 18:15:50 PST
Created attachment 183083 [details]
Patch
Comment 9 Hajime Morrita 2013-01-16 18:30:37 PST
Comment on attachment 183083 [details]
Patch

cq+ by yourself once bugs get green.
Comment 10 WebKit Review Bot 2013-01-17 19:58:33 PST
Comment on attachment 183083 [details]
Patch

Clearing flags on attachment: 183083

Committed r140097: <http://trac.webkit.org/changeset/140097>
Comment 11 WebKit Review Bot 2013-01-17 19:58:39 PST
All reviewed patches have been landed.  Closing bug.
Comment 12 Csaba Osztrogon√°c 2013-01-18 06:43:50 PST
(In reply to comment #10)
> (From update of attachment 183083 [details])
> Clearing flags on attachment: 183083
> 
> Committed r140097: <http://trac.webkit.org/changeset/140097>

Something bad happened here, because it broke the Qt Windows build:
C:\WebKitBuildSlave\szeged-windows-1\qt-windows-32bit-release\build\Source\WTF\wtf/PassRefPtr.h(53) : error C2027: use of undefined type 'WebCore::Image'
        C:\WebKitBuildSlave\szeged-windows-1\qt-windows-32bit-release\build\Source\WebCore\html\HTMLPlugInElement.h(35) : see declaration of 'WebCore::Image'
        C:\WebKitBuildSlave\szeged-windows-1\qt-windows-32bit-release\build\Source\WTF\wtf/PassRefPtr.h(68) : see reference to function template instantiation 'void WTF::derefIfNotNull<T>(T *)' being compiled
        with
        [
            T=WebCore::Image
        ]
        C:\WebKitBuildSlave\szeged-windows-1\qt-windows-32bit-release\build\Source\WTF\wtf/PassRefPtr.h(68) : while compiling class template member function 'WTF::PassRefPtr<T>::~PassRefPtr(void)'
        with
        [
            T=WebCore::Image
        ]
        C:\WebKitBuildSlave\szeged-windows-1\qt-windows-32bit-release\build\Source\WebCore\html\HTMLPlugInElement.h(58) : see reference to class template instantiation 'WTF::PassRefPtr<T>' being compiled
        with
        [
            T=WebCore::Image
        ]
C:\WebKitBuildSlave\szeged-windows-1\qt-windows-32bit-release\build\Source\WTF\wtf/PassRefPtr.h(53) : error C2227: left of '->deref' must point to class/struct/union/generic type


Fix landed in https://trac.webkit.org/changeset/140138. 

But I don't understand this rollout ... 

https://trac.webkit.org/changeset/130810/trunk/Source/WebCore/html/HTMLPlugInElement.h broke the Windows build and https://trac.webkit.org/changeset/130814 fixed it. And https://trac.webkit.org/changeset/140097/trunk/Source/WebCore/html/HTMLPlugInElement.h reverted this buildfix and not the change of https://trac.webkit.org/changeset/122824/trunk/Source/WebCore/html/HTMLPlugInElement.h
Comment 13 Csaba Osztrogon√°c 2013-01-18 06:49:42 PST
Ooops, ImageLoaderClient.h doesn't exist anymore - one more fix landed in https://trac.webkit.org/changeset/140140/trunk/Source/WebCore/html/HTMLPlugInElement.h
Comment 14 Hajime Morrita 2013-01-20 17:37:15 PST
> Ooops, ImageLoaderClient.h doesn't exist anymore - one more fix landed in https://trac.webkit.org/changeset/140140/trunk/Source/WebCore/html/HTMLPlugInElement.h

Oops. I'm sorry for my absence and thanks for taking care of this.